label: Organizers
icon: icon-i-beacon
appClass: info.magnolia.ui.contentapp.ContentApp
class: info.magnolia.ui.contentapp.ConfiguredContentAppDescriptor
subApps:
  browser:
    class: info.magnolia.ui.contentapp.browser.BrowserSubAppDescriptor
    subAppClass: info.magnolia.ui.contentapp.browser.BrowserSubApp
    contentConnector:
      nodeTypes:
      - name: mgnl:organizer
        icon: icon-shape-circle
      rootPath: /
      workspace: organizers
      defaultOrder: title
    workbench:
      dropConstraintClass: info.magnolia.ui.workbench.tree.drop.AlwaysTrueDropConstraint
      editable: false
      contentViews:
        - name: tree
          columns:
            - name: title
              class: info.magnolia.ui.workbench.column.definition.PropertyColumnDefinition
              editable: true
              propertyName: title
              sortable: true
            - name: status
              class: info.magnolia.ui.workbench.column.definition.StatusColumnDefinition
              formatterClass: info.magnolia.ui.workbench.column.StatusColumnFormatter
              displayInChooseDialog: false
              width: 46
          class: info.magnolia.ui.workbench.tree.TreePresenterDefinition
        - name: list
          columns:
            - name: title
              class: info.magnolia.ui.workbench.column.definition.PropertyColumnDefinition
              editable: true
              propertyName: title
              sortable: true
            - name: status
              class: info.magnolia.ui.workbench.column.definition.StatusColumnDefinition
              formatterClass: info.magnolia.ui.workbench.column.StatusColumnFormatter
              displayInChooseDialog: false
              width: 46
          class: info.magnolia.ui.workbench.list.ListPresenterDefinition
        - name: search
          columns:
            - name: title
              class: info.magnolia.ui.workbench.column.definition.PropertyColumnDefinition
              editable: true
              propertyName: title
              sortable: true
            - name: status
              class: info.magnolia.ui.workbench.column.definition.StatusColumnDefinition
              formatterClass: info.magnolia.ui.workbench.column.StatusColumnFormatter
              displayInChooseDialog: false
              width: 46
          class: info.magnolia.ui.workbench.search.SearchPresenterDefinition
    actions:
      addOrganizer:
        availability:
          nodes: true
          root: true
        appName: organizers
        class: info.magnolia.ui.contentapp.detail.action.CreateItemActionDefinition
        icon: icon-add-item
        label: New organizer
        nodeType: mgnl:organizer
        subAppId: detail
      editOrganizer:
        availability:
          nodes: true
          root: false
        appName: organizers
        class: info.magnolia.ui.contentapp.detail.action.EditItemActionDefinition
        icon: icon-edit
        label: Edit organizer
        nodeType: mgnl:organizer
        subAppId: detail
      deleteOrganizer:
        availability:
          nodes: true
          root: false
        class: info.magnolia.ui.framework.action.MarkNodeAsDeletedActionDefinition
        command: markAsDeleted
        icon: icon-delete
        label: Delete organizer  
      activate:
        availability:
          rules: 
           - isPublishableRule:
             implementationClass: info.magnolia.ui.framework.availability.IsPublishableRule
        catalog: default
        class: info.magnolia.ui.framework.action.ActivationActionDefinition
        command: activate
        icon: icon-publish
        label: Publish
      deactivate:
        availability:
          rules: 
           - isPublishedRule:
             implementationClass: info.magnolia.ui.framework.availability.IsPublishedRule
           - isNotDeletedRule: 
             implementationClass: info.magnolia.ui.framework.availability.IsNotDeletedRule        
        catalog: default
        class: info.magnolia.ui.framework.action.ActivationActionDefinition
        command: deactivate
        icon: icon-unpublish
        label: Unpublish
       
    actionbar:
      defaultAction: editOrganizer
      sections:
        - name: root
          groups:
            - name: addActions
              items:
                - name: addOrganizer
          availability:
            nodes: false
            root: true
          label: Organizers    
        - name: organizer
          groups:
            - name: editActions
              items:
                - name: editOrganizer
            - name: deleteActions
              items:
                - name: deleteOrganizer
            - name: publishActions
              items:
                - name: activate
                - name: deactivate
          availability:
            nodeTypes:
              - mgnl:organizer
          label: Organizer   
    imageProvider:
      class: info.magnolia.dam.app.ui.imageprovider.DamLinkImageProviderDefinition
      damLinkPropertyName: logo  
  detail:
    class:  info.magnolia.ui.contentapp.detail.DetailSubAppDescriptor
    subAppClass: info.magnolia.ui.contentapp.detail.DetailSubApp
    contentConnector:
      workspace: organizers
    actions:
      commit:
        class: info.magnolia.ui.form.action.SaveFormActionDefinition
        implementationClass: com.teleticketservice.magnolia.website.contentapps.formaction.SaveTtsContentAppFormAction
      cancel:
        class: info.magnolia.ui.form.action.CancelFormActionDefinition
    editor:
      nodeType:
        name: mgnl:organizer
      actions:
        - name: commit
        - name: cancel
      form:
        tabs:
          - name: general
            fields:
              - name: title
                class: info.magnolia.ui.form.field.definition.TextFieldDefinition
                required: true
              - name: alternateName
                class: info.magnolia.ui.form.field.definition.TextFieldDefinition
              - name: url
                class: info.magnolia.ui.form.field.definition.TextFieldDefinition
              - name: logo
                class: info.magnolia.ui.form.field.definition.LinkFieldDefinition
                targetWorkspace: dam
                appName: assets
                identifierToPathConverter:
                  class: info.magnolia.dam.app.assets.field.translator.AssetCompositeIdKeyTranslator
                contentPreviewDefinition:
                  contentPreviewClass: info.magnolia.dam.app.ui.field.DamFilePreviewComponent
              - name: image
                class: info.magnolia.ui.form.field.definition.LinkFieldDefinition
                targetWorkspace: dam
                appName: assets
                identifierToPathConverter:
                  class: info.magnolia.dam.app.assets.field.translator.AssetCompositeIdKeyTranslator
                contentPreviewDefinition:
                  contentPreviewClass: info.magnolia.dam.app.ui.field.DamFilePreviewComponent
          - name: description
            fields:
              - name: description
                class: info.magnolia.ui.form.field.definition.RichTextFieldDefinition
          - name: awards
            fields: 
              - name: awardList
                class: info.magnolia.ui.form.field.definition.MultiValueFieldDefinition
                field:
                  class: info.magnolia.ui.form.field.definition.TextFieldDefinition
                  name: award    
          
          
         
